<!DOCTYPE html>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	template="WEB-INF/template/Layout.xhtml">

	<ui:define name="titulo">
		Cadastro de Jogos
	</ui:define>

	<ui:define name="conteudo">
		<f:metadata>
			<f:viewAction action="#{gestaoJogosBean.todosJogos}" />
		</f:metadata>
		
		<h:form id="frm">
			
			<p:messages id="messages" autoUpdate="false" />
			
			<p:toolbar id="toolbar">
				<f:facet name="left">
	            	<p:commandButton value="Nova" icon="fa fa-plus"
						
						oncomplete="PF('jogoDialogWidgetVar').show()"
						update="jogoDialog" process="@this">
						<p:resetInput target="jogoDialog" />
					</p:commandButton>
					
					<span class="ui-separator"> <span
						class="ui-icon ui-icon-grip-dotted-vertical" />
					</span>
					
					<p:commandButton title="Editar" icon="fa fa-edit" 
						disabled="#{gestaoJogosBean.jogoSeleciona}"
						actionListener="#{gestaoJogosBean.prepararEdicaoJogo}"
						oncomplete="PF('jogoDialogWidgetVar').show()"
						update="jogoDialog" 
						process="@this">
						<p:resetInput target="jogoDialog" />
					</p:commandButton>
					
					<p:commandButton title="Excluir" icon="fa fa-trash" 
						disabled="#{gestaoJogosBean.jogoSeleciona}"
						actionListener="#{gestaoJogosBean.excluir}"
						update="messages jogosDataTable toolbar" 
						process="@this">
						<p:confirm icon="ui-icon-alert" header="Confirmação de exclusão" message="Tem certeza que deseja excluir o título?" />
					</p:commandButton>
				</f:facet>
			</p:toolbar>
			
			<p:spacer height="20px" />
			
			<p:dataTable id="jogosDataTable"
				value="#{gestaoJogosBean.listaJogos}" 
				var="jogo"
				emptyMessage="Nenhuma informação a ser exibida" 
				paginator="true"
				rows="10" 
				paginatorPosition="bottom"
				selectionMode="single"
				selection="#{gestaoJogosBean.jogo}"
				rowKey="#{jogo.id}">
				
				<p:ajax event="rowSelect" update="frm:toolbar" />
				<p:ajax event="rowUnselect" update="frm:toolbar" />
				
				<p:column headerText="Titulo" sortBy="#{jogo.titulo}">
					<h:outputText value="#{jogo.titulo}" />
				</p:column>
				
				<p:column headerText="Classificação Indicativa">
					<h:outputText value="#{jogo.classificacaoIndicativa}" />
				</p:column>
				
				<p:column headerText="Desenvolvedor">
					<h:outputText value="#{jogo.desenvolvedor}" />
				</p:column>
				
				<p:column headerText="Gênero">
					<h:outputText value="#{jogo.genero}" />
				</p:column>
				
				<p:column headerText="Plataforma">
					<h:outputText value="#{jogo.plataforma}" />
				</p:column>
				
			</p:dataTable>
			
			<p:dialog id="jogoDialog" header="Novo Título" widgetVar="jogoDialogWidgetVar"
				modal="true" resizable="false" closeOnEscape="true">
				<p:messages id="jogoMessages" />
				<h:panelGrid id="jogoPanelGrid" columns="2">
					<p:outputLabel value="Título: " for="titulo" />
					<p:inputText id="titulo" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.titulo}" />
					
					<p:outputLabel value="Classificação Indicativa: " for="classificacaoIndicativa" />
					<p:inputText id="classificacaoIndicativa" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.classificacaoIndicativa}"/>
					
					<p:outputLabel value="Desenvolvedor: " for="desenvolvedor" />
					<p:inputText id="desenvolvedor" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.desenvolvedor}" />
					
					<p:outputLabel value="Gênero: " for="genero" />
					<p:inputText id="genero" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.genero}"/>
					
					<p:outputLabel value="Plataforma: " for="plataforma" />
					<p:inputText id="plataforma" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.plataforma}"/>
					
					<p:outputLabel />
					<p:commandButton value="Salvar" 
						update="jogoMessages jogoPanelGrid"
						oncomplete="if (!args.validationFailed) PF('jogoDialogWidgetVar').hide()"
						process="jogoDialog"
						actionListener="#{gestaoJogosBean.salvar}"/>
				</h:panelGrid>
			</p:dialog>
		</h:form>
	</ui:define>
</ui:composition>